function y=le(a,b);
%le operator, overloaded for flexible dimensions in gauss
ra=rows(a);
ca=cols(a);
rb=rows(b);
cb=cols(b);
if (ra==rb & ca==cb) | (ra==1 & ca==1) | (rb==1 & cb==1);
   y=builtin('le',a,b);
elseif (ra==rb & ca==1 & cb>1);
   y=zeros(rb,cb);
   for i=1:1:cb;
       y(:,i)=builtin('le',a,b(:,i));
   end;
elseif (ra==rb & ca>1 & cb==1);
   y=zeros(rb,ca);
   for i=1:1:ca;
       y(:,i)=builtin('le',a(:,i),b);
   end;
elseif (ca==cb & ra==1 & rb>1);
   y=zeros(rb,cb);
   for i=1:1:rb;
       y(i,:)=builtin('le',a,b(i,:));
   end;
elseif (ca==cb & ra>1 & rb==1);
   y=zeros(ra,ca);
   for i=1:1:ra;
       y(i,:)=builtin('le',a(i,:),b);
   end;
else;
  disp('matrices are not conformable');
end;
   

    
